Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157489 - Use network login button doesn't work
Summary: Use network login button doesn't work
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: firstboot
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC4Blocker
TreeView+ depends on / blocked
 
Reported: 2005-05-11 23:30 UTC by Elliot Lee
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-23 15:10:49 UTC


Attachments (Terms of Use)

Description Elliot Lee 2005-05-11 23:30:12 UTC
During the firstboot run when the system is starting up, nothing happens when I
click on the 'Use Network Login' button.

I can run authconfig-gtk just fine after the system starts up.

Comment 1 Nalin Dahyabhai 2005-05-20 18:05:48 UTC
On test3, I see this in /var/log/secure:

May 20 13:51:06 rapier userhelper[3680]: running
'/usr/share/authconfig/authconfig-gtk.py --firstboot' with root privileges on
behalf of 'root'
May 20 13:51:06 rapier userhelper[3680]: could not run
'/usr/share/authconfig/authconfig-gtk.py --firstboot' with root privileges on
behalf of 'root': Permission denied

Converting that to a unix-time, "date -d 1351 +%s" gives "1116611460".
Grepping /var/log/audit/audit.log for 1116611466:

type=USER msg=audit(1116611466.151:0): user pid=3678 uid=0 length=104 msg='PAM
authentication: user=root exe=/usr/sbin/userhelper (hostname=?, addr=?,
terminal=? result=Success)'
type=USER msg=audit(1116611466.458:0): user pid=3678 uid=0 length=100 msg='PAM
accounting: user=root exe=/usr/sbin/userhelper (hostname=?, addr=?, terminal=?
result=Success)'
type=USER msg=audit(1116611466.767:0): user pid=3678 uid=0 length=104 msg='PAM
session open: user=root exe=/usr/sbin/userhelper (hostname=?, addr=?, terminal=?
result=Success)'
type=KERNEL msg=audit(1116611466.917:822739): item=0
name=/usr/share/authconfig/authconfig-gtk.py inode=3010162 dev=08:08
mode=0100755 uid=0 gid=0 rdev=00:00
type=KERNEL msg=audit(1116611466.917:822739): syscall=11 exit=-13 a0=8a7f6c0
a1=bfdd241c a2=8a7faf8 a3=2 items=1 pid=3680 loginuid=-1 uid=0 gid=0 euid=0 suid=0
fsuid=0 egid=0 sgid=0 fsgid=0 comm=userhelper exe=/usr/sbin/userhelper
type=KERNEL msg=audit(1116611466.917:822739): avc:  denied  { transition } for
path=/usr/share/authconfig/authconfig-gtk.py dev=sda8 ino=3010162
scontext=system_u:system_r:initrc_t tcontext=root:system_r:unconfined_t
tclass=process

Policy denial.  If it's the same error you ran into, then booting with
"enforcing=0" should work around it for now.  CCing dwalsh and walters.

Comment 2 Daniel Walsh 2005-05-20 19:53:32 UTC
Fixed in selinux-policy-targeted-1.23-16-6

Comment 3 Chris Lumens 2005-09-23 15:10:49 UTC
This problem has been fixed in Rawhide.


Note You need to log in before you can comment on or make changes to this bug.